to setup
  ca
  crt 100
  ask turtles [
    ifelse ((random 100) < 50)
      [set color yellow]  ; color half the turtles red
      [set color red]     ; the other half yellow

    rt random 360
    fd random 10
    ]
  ask patches [
    set pcolor green                                             ; color the patches green
  ]
end

to go  ;; turtle procedure
  rt random 90
  lt random 90
  fd 1
  ; if you're a red turtle, set the color of the patch you are on to black
  if (color = red)
    [set pcolor black]
  ; if you're a yellow turtle, set the color of the patch you are on to magenta
  if (color = yellow)
    [set pcolor magenta]
  wait 0.1                                                  ; slow it down
end


; This model was created as part of the project: CONNECTED MATHEMATICS:
; MAKING SENSE OF COMPLEX PHENOMENA THROUGH BUILDING OBJECT-BASED PARALLEL
; MODELS (OBPML)
; The project gratefully acknowledges the support of the National Science
; Foundation (Applications of Advanced Technologies Program) -- grant numbers
; RED #9552950 and REC #9632612.
; 
; 
;Copyright 1999  by Uri Wilensky. All rights reserved.
;Converted from StarLogoT to NetLogo, 2001. 
;
; Permission to use, copy, or modify this software and its documentation for
; educational and research purposes only and without fee is hereby granted,
; provided that this copyright notice and the original authors' names appear
; on all copies and supporting documentation. For any other uses of this
; software, in original or modified form, including but not limited to
; distribution in whole or in part, specific prior permission must be
; obtained from Uri Wilensky. These programs shall not be used, rewritten, or
; adapted as the basis of a commercial software or hardware product without
; first obtaining appropriate licenses from Uri Wilensky. We make no
; representations about the suitability of this software for any purpose. It
; is provided "as is" without express or implied warranty.
@#$#@#$#@
GRAPHICS-WINDOW
279
10
613
365
40
40
4.0
1
13
0
0

CC-WINDOW
6
137
269
302
Command Center

BUTTON
62
13
117
46
NIL
setup
NIL
1
T
OBSERVER

BUTTON
133
13
188
46
NIL
go
T
1
T
TURTLE

@#$#@#$#@
WHAT IS IT?
-----------
This code example demonstrates Turtle-Patch communication. When a red turtle moves onto a patch, it turns the patch black.  When a yellow turtle moves onto a patch, it turns the patch magenta.

This does the same thing as the "stamp" command.
@#$#@#$#@
default
true
0
Polygon -7566196 true true 150 5 40 250 150 205 260 250

@#$#@#$#@
NetLogo 1.3beta1
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
